import request from '@/utils/request'

// 查询对讲机管理列表
export function listIntercom(query) {
  return request({
    url: '/affair/intercom/list',
    method: 'get',
    params: query
  })
}

// 查询对讲机管理详细
export function getIntercom(id) {
  return request({
    url: '/affair/intercom/' + id,
    method: 'get'
  })
}

// 新增对讲机管理
export function addIntercom(data) {
  return request({
    url: '/affair/intercom',
    method: 'post',
    data: data
  })
}

// 修改对讲机管理
export function updateIntercom(data) {
  return request({
    url: '/affair/intercom',
    method: 'put',
    data: data
  })
}

// 删除对讲机管理
export function delIntercom(id) {
  return request({
    url: '/affair/intercom/' + id,
    method: 'delete'
  })
}

// 导出对讲机管理
export function exportIntercom(query) {
  return request({
    url: '/affair/intercom/export',
    method: 'get',
    params: query
  })
}
